# J_Fuente_de_corriente

Este repositorio es para todos los archivos pertinentes para el diseño de la fuente de corriente que se utiliza para calentamiento por efecto Joule.
La fuente de corriente se separa en 2 partes principales, la placa de control que involucra la comparación de las líneas y el control del disparo de los SCR mediante PWM con sus respectivos aislamientos y la parte de potencia, que son los SCR y el filtro de salida.  

## Circuito de control
Las 3 fases de la fuente se reciben en las terminales superiores para ser comparadas una con otra utilizando la polaridad de un diodo como medio de comparación, esta comparación entrega como resultado una señal que después se compara con un valor de alfa que se suministra mediante la un pulso PWM de la tarjeta beaglebone que alimenta un circuito DAC aislado para convertirlo de un nivel de voltaje. La señal resultante de esta serie de comparaciones ya está en fase y sincronizada con el tiempo respectivo al que se debe disparar cada SCR por lo que la salida de la tarjeta de control ya va directa a las terminales de los SCR.

Esquemático  
![Esquemático del circuito de control](fig/sch.png)  

PCB  
![Diseño impreso del circuito control](fig/pcb.PNG)  

## Circuito de potencia 